Package org.globus.gsi.util

# Class KeyStoreUtil

java.lang.Object
org.globus.gsi.util.KeyStoreUtil

public final class KeyStoreUtil extends Object
FILL ME

Author:
  ranantha@mcs.anl.gov

## Method Summary

Modifier and Type
Method
Description
`static Collection<? extends Certificate>`
`getTrustedCertificates(KeyStore keyStore, X509CertSelector selector)`
Returns the list of certificates in the KeyStore.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTrustedCertificates

public static Collection<? extends Certificate> getTrustedCertificates(KeyStore keyStore, X509CertSelector selector) throws KeyStoreException
Returns the list of certificates in the KeyStore. Return object will not be null.

Parameters:
  `keyStore` -
  `selector` -
Returns:
  the list of certificates in the KeyStore
Throws:
  `KeyStoreException`